Bug 449828 - Startup sound doesn't play
Summary: Startup sound doesn't play
Status: RESOLVED DUPLICATE of bug 422948
Alias: None
Product: plasmashell
Classification: Unclassified
Component: general (show other bugs)
Version: 5.24.0
Platform: Other Linux
: NOR normal
Target Milestone: 1.0
Assignee: Plasma Bugs List
URL:
Keywords: regression
: 449889 450030 450228 (view as bug list)
Depends on:
Blocks:
 
Reported: 2022-02-09 09:03 UTC by Alexander Streng
Modified: 2022-02-17 11:05 UTC (History)
11 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Streng 2022-02-09 09:03:59 UTC
SUMMARY

when logging in to my user account, it should play a windows Xp login sound queue, instead nothing happens. 


STEPS TO REPRODUCE
1. enable login notification in system settings
2. logout of your account
3. log back in

OBSERVED RESULT


EXPECTED RESULT
play's a login sound queue


SOFTWARE/OS VERSIONS
Linux/KDE Plasma:  Arch Linux
(available in About System)
KDE Plasma Version: 5.24
KDE Frameworks Version: 5.90
Qt Version: .

ADDITIONAL INFORMATION
Comment 1 Behzad A 2022-02-09 20:47:26 UTC
*** Bug 449889 has been marked as a duplicate of this bug. ***
Comment 2 Michał Dybczak 2022-02-10 17:24:14 UTC
I can confirm this issue on my end:

Operating System: Manjaro Linux
KDE Plasma Version: 5.24.0
KDE Frameworks Version: 5.90.0
Qt Version: 5.15.2
Kernel Version: 5.16.8-1-MANJARO (64-bit)
Graphics Platform: X11
Processors: 8 × Intel® Core™ i7-6700HQ CPU @ 2.60GHz
Memory: 7.6 GiB of RAM
Graphics Processor: Mesa Intel® HD Graphics 530
Branch: Manjaro unstable
Comment 3 Behzad A 2022-02-11 19:44:55 UTC
*** Bug 450030 has been marked as a duplicate of this bug. ***
Comment 4 Martin Schnitkemper 2022-02-14 09:08:17 UTC
I can confirm this bug on system  

| Operating System: Arch Linux
| KDE Plasma Version: 5.24.0
| KDE Frameworks Version: 5.90.0
| Qt Version: 5.15.2
| Kernel Version: 5.16.8-arch1-1 (64-bit)
| Graphics Platform: X11
| Processors: 2 × Intel® Core™2 Duo CPU P8600 @ 2.40GHz
| Memory: 7,7 GiB of RAM
| Graphics Processor: Mesa DRI Mobile Intel® GM45 Express Chipset

It seems that it is a regression of bug 422948, which was never really fixed, only solved by a workaround. 

As I already stated in the other report, the problem is that events are not handlded correctly on sign on.  You can easily verify that if you check another option in the settings like writing a logfile on logon-/logoff-event.  Then you realize that log entries are written on logoff but never on logon.

Other events are meanwhile also affected since the release of Plasma-5.2.4 like notification of connect/disconnect the powercord on notebooks.  Usualy you will get a notification sound but since Plasma-5.2.4 its muted.  Other actions like writing a logfile fails the same as display a message, so it seems that the notification is completely unhandled. 

Other site effects after release of Plasma-5.2.4 are that the sound i.e. in konsole for notifications like "bell in focused session" is rather not hearable on the first occurence, next occurence is loud as configured, but a few seconds later its silent again.
Comment 5 Nicolas Fella 2022-02-14 16:06:42 UTC
*** Bug 450228 has been marked as a duplicate of this bug. ***
Comment 6 KazuhiroShigeru 2022-02-15 05:19:40 UTC
I can also confirm this bug since the last update. the login sound no longer plays no matter which file I pick. 

| Operating System: Arch Linux
| KDE Plasma Version: 5.24.0
| KDE Frameworks Version: 5.90.0
| Qt Version: 5.15.2
| Kernel Version: 5.16.8-arch1-1 (64-bit)
| Graphics Platform: X11
| Memory: 16 Gb RAM
another related bug is that system sounds are set to zero or muted when I check pavucontrol and I have to set it to 100% myself. that never happened before.
Comment 7 René Regensbogen 2022-02-15 11:23:58 UTC
Me too.
In my case, I recognized that the notification sound is not muted, but at 0%.
After turning it on 50%, it doesn´t help next reboot because it resets again.

System:
  Kernel: 5.16.8-zen1-1-zen x86_64 bits: 64 compiler: gcc v: 11.1.0
    parameters: BOOT_IMAGE=/@/boot/vmlinuz-linux-zen root=UUID=bbd31a1a-5acd-4143-b97f-a940c8bb5b82
    rw rootflags=subvol=@ quiet splash rd.udev.log_priority=3 vt.global_cursor_default=0
    loglevel=3
  Desktop: KDE Plasma 5.24.0 tk: Qt 5.15.2 info: latte-dock wm: kwin_x11 vt: 1 dm: SDDM
    Distro: Garuda Linux base: Arch Linux
Machine:
  Type: Laptop System: Medion product: S4216 v: 1.0 serial: <superuser required>
  Mobo: Medion model: S4216 v: 1.0 serial: <superuser required> UEFI: American Megatrends v: 505
    date: 09/28/2012
Battery:
  ID-1: BAT0 charge: 30.7 Wh (95.9%) condition: 32.0/36.4 Wh (88.0%) volts: 16.4 min: 14.4
    model: B34 type: Li-ion serial: N/A status: Not charging
CPU:
  Info: model: Intel Core i5-3317U bits: 64 type: MT MCP arch: Ivy Bridge family: 6
    model-id: 0x3A (58) stepping: 9 microcode: 0x21
  Topology: cpus: 1x cores: 2 tpc: 2 threads: 4 smt: enabled cache: L1: 128 KiB
    desc: d-2x32 KiB; i-2x32 KiB L2: 512 KiB desc: 2x256 KiB L3: 3 MiB desc: 1x3 MiB
  Speed (MHz): avg: 2387 high: 2482 min/max: 800/2600 scaling: driver: intel_cpufreq
    governor: schedutil cores: 1: 2373 2: 2298 3: 2482 4: 2395 bogomips: 13569
  Flags: avx ht lm nx pae sse sse2 sse3 sse4_1 sse4_2 ssse3 vmx
  Vulnerabilities:
  Type: itlb_multihit status: KVM: VMX disabled
  Type: l1tf mitigation: PTE Inversion; VMX: conditional cache flushes, SMT vulnerable
  Type: mds mitigation: Clear CPU buffers; SMT vulnerable
  Type: meltdown mitigation: PTI
  Type: spec_store_bypass mitigation: Speculative Store Bypass disabled via prctl
  Type: spectre_v1 mitigation: usercopy/swapgs barriers and __user pointer sanitization
  Type: spectre_v2
    mitigation: Full generic retpoline, IBPB: conditional, IBRS_FW, STIBP: conditional, RSB filling
  Type: srbds status: Vulnerable: No microcode
  Type: tsx_async_abort status: Not affected
Graphics:
  Device-1: Intel 3rd Gen Core processor Graphics vendor: Pegatron driver: i915 v: kernel
    bus-ID: 00:02.0 chip-ID: 8086:0166 class-ID: 0300
  Device-2: Microdia USB 2.0 Camera type: USB driver: uvcvideo bus-ID: 1-1.1:3
    chip-ID: 0c45:6457 class-ID: 0e02
  Display: x11 server: X.Org 1.21.1.3 compositor: kwin_x11 driver: loaded: intel
    unloaded: modesetting alternate: fbdev,vesa display-ID: :0 screens: 1
  Screen-1: 0 s-res: 1920x1080 s-dpi: 96 s-size: 507x285mm (20.0x11.2") s-diag: 582mm (22.9")
  Monitor-1: VGA1 res: 1920x1080 hz: 60 dpi: 92 size: 530x300mm (20.9x11.8") diag: 609mm (24")
  OpenGL: renderer: Mesa DRI Intel HD Graphics 4000 (IVB GT2) v: 4.2 Mesa 21.3.5 compat-v: 3.0
    direct render: Yes
Audio:
  Device-1: Intel 7 Series/C216 Family High Definition Audio vendor: Pegatron
    driver: snd_hda_intel v: kernel bus-ID: 00:1b.0 chip-ID: 8086:1e20 class-ID: 0403
  Sound Server-1: ALSA v: k5.16.8-zen1-1-zen running: yes
  Sound Server-2: PulseAudio v: 15.0 running: no
  Sound Server-3: PipeWire v: 0.3.45 running: yes
Network:
  Device-1: Intel Centrino Wireless-N 2230 driver: iwlwifi v: kernel bus-ID: 02:00.0
    chip-ID: 8086:0887 class-ID: 0280
  IF: wlp2s0 state: up mac: <filter>
  Device-2: Realtek RTL8111/8168/8411 PCI Express Gigabit Ethernet vendor: Pegatron
    driver: r8169 v: kernel port: e000 bus-ID: 03:00.0 chip-ID: 10ec:8168 class-ID: 0200
  IF: enp3s0 state: down mac: <filter>
  IF-ID-1: docker0 state: down mac: <filter>
Bluetooth:
  Device-1: Intel Centrino Bluetooth Wireless Transceiver type: USB driver: btusb v: 0.8
    bus-ID: 1-1.4:5 chip-ID: 8087:07da class-ID: e001
  Report: bt-adapter ID: hci0 rfk-id: 0 state: up address: <filter>
Drives:
  Local Storage: total: 223.57 GiB used: 37.71 GiB (16.9%)
  SMART Message: Unable to run smartctl. Root privileges required.
  ID-1: /dev/sda maj-min: 8:0 vendor: GOODRAM model: SSDPR-CL100-240-G2 size: 223.57 GiB
    block-size: physical: 512 B logical: 512 B speed: 6.0 Gb/s type: SSD serial: <filter> rev: V4.7
    scheme: GPT
Partition:
  ID-1: / raw-size: 104.87 GiB size: 104.87 GiB (100.00%) used: 37.68 GiB (35.9%) fs: btrfs
    dev: /dev/sda5 maj-min: 8:5
  ID-2: /boot/efi raw-size: 99 MiB size: 95 MiB (95.96%) used: 29.9 MiB (31.4%) fs: vfat
    dev: /dev/sda2 maj-min: 8:2
  ID-3: /home raw-size: 104.87 GiB size: 104.87 GiB (100.00%) used: 37.68 GiB (35.9%) fs: btrfs
    dev: /dev/sda5 maj-min: 8:5
  ID-4: /var/log raw-size: 104.87 GiB size: 104.87 GiB (100.00%) used: 37.68 GiB (35.9%)
    fs: btrfs dev: /dev/sda5 maj-min: 8:5
  ID-5: /var/tmp raw-size: 104.87 GiB size: 104.87 GiB (100.00%) used: 37.68 GiB (35.9%)
    fs: btrfs dev: /dev/sda5 maj-min: 8:5
Swap:
  Kernel: swappiness: 133 (default 60) cache-pressure: 100 (default)
  ID-1: swap-1 type: zram size: 7.65 GiB used: 0 KiB (0.0%) priority: 100 dev: /dev/zram0
Sensors:
  System Temperatures: cpu: 61.0 C mobo: N/A
  Fan Speeds (RPM): N/A
Info:
  Processes: 285 Uptime: 52m wakeups: 1 Memory: 7.65 GiB used: 3.92 GiB (51.3%) Init: systemd
  v: 250 tool: systemctl Compilers: gcc: 11.1.0 clang: 13.0.1 Packages: 1834 pacman: 1829 lib: 392
  flatpak: 5 Client: shell wrapper v: 5.1.16-release inxi: 3.3.12
Garuda (2.5.4-2):
  System install date:     2022-01-22
  Last full system update: 2022-02-14
  Is partially upgraded:   No
  Relevant software:       NetworkManager
  Windows dual boot:       Probably (Run as root to verify)
  Snapshots:               Snapper
  Failed units:
Comment 8 Sadi 2022-02-15 12:36:55 UTC
Same here: If I use an autostart script for this purpose, it starts playing during plasma splash screen for a short while, then stops for about two seconds, and then resumes to play the remainder (about two thirds) of the login sound.

Operating System: KDE neon 5.24
KDE Plasma Version: 5.24.0
KDE Frameworks Version: 5.90.0
Qt Version: 5.15.3
Comment 9 Nicolas Fella 2022-02-16 01:38:46 UTC
I think there might be two separate issues here.

I can reproduce the startup sound not working, with systemd boot off. This seems to be caused by https://invent.kde.org/plasma/plasma-workspace/-/commit/f377696bff39e35ae0f7ae6104d8732b3856744e. With systemd boot on it works fine.

However it's not the "Notification volume" at fault, it is set correctly, and is codewise pretty unrelated anyway.
Comment 10 KazuhiroShigeru 2022-02-16 07:01:41 UTC
(In reply to Nicolas Fella from comment #9)
> I think there might be two separate issues here.
> 
> I can reproduce the startup sound not working, with systemd boot off. This
> seems to be caused by
> https://invent.kde.org/plasma/plasma-workspace/-/commit/
> f377696bff39e35ae0f7ae6104d8732b3856744e. With systemd boot on it works fine.
> 
> However it's not the "Notification volume" at fault, it is set correctly,
> and is codewise pretty unrelated anyway.

forgot to mention that I don't use systemd-boot but grub.
Comment 11 Nicolas Fella 2022-02-16 12:10:42 UTC
This isn't about the bootloader at all.

With "system boot" I'm referring to a Plasma-specific configuration. If you don't know whether that's active it's most likely not (unless you are on a distro that opted into it like Fedora)
Comment 12 KazuhiroShigeru 2022-02-17 06:11:21 UTC
(In reply to Nicolas Fella from comment #11)
> This isn't about the bootloader at all.
> 
> With "system boot" I'm referring to a Plasma-specific configuration. If you
> don't know whether that's active it's most likely not (unless you are on a
> distro that opted into it like Fedora)

oh ok. 
I run Arch with KDE 5.24.1 so it might not be active as you mention. 
other sounds work fine, like the logoff one.
Comment 13 Martin Schnitkemper 2022-02-17 09:33:25 UTC
(In reply to KazuhiroShigeru from comment #12)
> other sounds work fine, like the logoff one.
You are also able to check it on a notebook while you disconnect/connect the power cord?  Thats where I discovered the problem first after upgrade to plasma 5.24.0, so it's not only the logon sound.  And other sound events have also a strange behaviour, like the bell on konsole.
Comment 14 David Edmundson 2022-02-17 11:05:11 UTC

*** This bug has been marked as a duplicate of bug 422948 ***